thaw 0.4.8

An easy to use leptos component library
Documentation
.thaw-nav-drawer {
    overflow: hidden;
    width: 260px;
    max-width: 100vw;
    height: 100%;
    /* max-height: 100vh; */
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    background-color: var(--colorNeutralBackground1);
    color: var(--colorNeutralForeground1);
    position: relative;
}

.thaw-nav-drawer__body {
    flex: 1;
    align-self: stretch;
    position: relative;
    z-index: 1;
    overflow: auto;
}

.thaw-nav-drawer__body
    > .thaw-scrollbar
    > .thaw-scrollbar__container
    > .thaw-scrollbar__content {
    padding: 0 var(--spacingVerticalMNudge);
}

.thaw-nav-drawer__footer {
    width: 100%;
    max-width: 100%;
    padding: 0 var(--spacingVerticalMNudge);
    box-sizing: border-box;
    position: relative;
    z-index: 2;
}

.thaw-nav-item,
.thaw-nav-category-item {
    display: flex;
    text-transform: none;
    position: relative;
    justify-content: start;
    gap: var(--spacingVerticalL);
    width: 100%;
    padding: var(--spacingVerticalMNudge);
    background-color: inherit;
    border-radius: var(--borderRadiusMedium);
    color: var(--colorNeutralForeground2);
    text-decoration-line: none;
    border: none;
    font-family: var(--fontFamilyBase);
    font-size: var(--fontSizeBase300);
    font-weight: var(--fontWeightRegular);
    line-height: var(--lineHeightBase300);
    cursor: pointer;
}

.thaw-nav-item:hover,
.thaw-nav-category-item:hover {
    background-color: var(--colorNeutralBackground4Hover);
}

.thaw-nav-item:active,
.thaw-nav-category-item:active {
    background-color: var(--colorNeutralBackground4Pressed);
}

.thaw-nav-item--selected::after,
.thaw-nav-category-item--selected[aria-expanded="false"]::after {
    content: "";
    position: absolute;
    width: 4px;
    height: 20px;
    background-color: var(--colorNeutralForeground2BrandSelected);
    border-radius: var(--borderRadiusCircular);
    margin-inline-start: -18px;
}

.thaw-nav-sub-item-group-enter-from,
.thaw-nav-sub-item-group-enter-to {
    opacity: 1;
}

.thaw-nav-sub-item-group-leave-to,
.thaw-nav-sub-item-group-enter-from {
    opacity: 0;
    max-height: 0;
}

.thaw-nav-sub-item-group-leave-active {
    overflow: hidden;
    transition: max-height 0.15s cubic-bezier(0.4, 0, 0.2, 1) 0s,
        opacity 0.15s cubic-bezier(0, 0, 0.2, 1) 0s,
        padding-top 0.15s cubic-bezier(0.4, 0, 0.2, 1) 0s;
}

.thaw-nav-sub-item-group-enter-active {
    overflow: hidden;
    transition: max-height 0.15s cubic-bezier(0.4, 0, 0.2, 1),
        opacity 0.15s cubic-bezier(0.4, 0, 1, 1),
        padding-top 0.15s cubic-bezier(0.4, 0, 0.2, 1);
}

.thaw-nav-category-item__expand-icon {
    margin-inline-start: auto;
    height: 20px;
}

.thaw-nav-sub-item {
    padding-inline-start: 46px;
}

.thaw-nav-sub-item.thaw-nav-item--selected::after {
    margin-inline-start: -54px;
}